Bug 58287 - openssl makes bad CSRs ???
openssl makes bad CSRs ???
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssl096 (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-12 18:32 EST by Stig Hackvan
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2002-01-12 18:32:00 EST
Description of Problem:

I COULD NOT GET THE REDHAT-7.2-OPENSSL-0.96B-GENERATED 'CERTIFICATE SIGNING 
REQUEST' TO GENERATE A REQUEST COMPATIBLE WITH  http://www.geotrust.com/quickssl

BUT IT WORKED UNDER REDHAT-7.1-OPENSSL-0.96 ...


THIS DIDN'T...

Name        : openssl                      Relocations: (not relocateable)
Version     : 0.9.6b                            Vendor: Red Hat, Inc.
Release     : 8                             Build Date: Fri 07 Sep 2001 
04:48:38 PM PDT

THIS WORKED...

Name        : openssl                      Relocations: (not relocateable)
Version     : 0.9.6                             Vendor: Red Hat, Inc.
Release     : 9                             Build Date: Thu 12 Jul 2001 
09:39:16 AM PDT


recipe here:

        http://www.geotrust.com/quickssl/csr/

        # if you want the key to be passworded, rebooting requires that the 
password be typed...
        #openssl genrsa -des3 -out demrise.key 1024 
        # so i skip the password...
        openssl genrsa -out demrise.key 1024 
        # openssl rsa -noout -text -in demrise.key
        openssl req -new -key demrise.key -out demrise.csr
        # openssl req -noout -text -in demrise.csr
Comment 1 Bill Nottingham 2006-08-07 16:01:05 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:20:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.